Page MenuHomePhabricator

Gerrit changes reviewed per month (on scr.html)
Closed, ResolvedPublic

Description

Currently it looks like scr.html lists "submitted vs. Merged changes vs. Abandoned" changes.

We'd like to know for T94578: Most basic Tech Community metrics are published and up to date how many changes in Gerrit get reviewed (∓1/∓2, not comments-only) per month.

Event Timeline

Aklapper created this task.Apr 30 2015, 9:41 PM
Aklapper raised the priority of this task from to Normal.
Aklapper updated the task description. (Show Details)
Aklapper added a project: wikimedia.biterg.io.
Aklapper added subscribers: Aklapper, Qgil.

(Adding ECT-June-2015 because this blocks T94578 which is a hard goal for this month)

Aklapper raised the priority of this task from Normal to High.
Aklapper set Security to None.

@Dicortazar: Could you provide an update here with regard to getting data (and potentially also visualization)? (as we have two weeks left in this month)

Yep, I'm working on the list of patchsets submitted per period of time and the votes (-1,-2,+1,+2) that they receive.

As I understood, you'd like to work at the level of patchset and not changeset.

Qgil moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 18 2015, 9:10 AM

Some raw numbers:

Patchsets submitted:

  • "sent_patchsets": [7164, 7513, 7893, 6683, 6870, 9501, 9175, 10518, 10335, 9285, 11491, 11937, 10241, 13179, 15446, 12992, 11624, 12161, 11154, 11223, 10458, 11211, 13613, 11959, 11206, 8838]

And votes to those patchsets:

  • "voted_patchsets": [2814, 3010, 3167, 2694, 2752, 3873, 3731, 4416, 4360, 3536, 4717, 5023, 4232, 5512, 6645, 5333, 4848, 5342, 4590, 4754, 4367, 4911, 5987, 5122, 4470, 3679]

The timeframe of activity goes from Wed, 01 May 2013 till nowadays.

We're now working on the visualization adding a new chart with both values in scr.html.

By the way, I'll re-check numbers, but if they were right, it's interesting to see that there is a vote every 4 patchsets. It may make sense of we think that people in some cases re-upload new patchests without waiting for a review. But, does it make sense to you?

Viz is ready to go at http://korma.wmflabs.org/browser/scr.html

You'll see that there are two new charts. One of them contains the information voted_patchsets vs. sent_patchsets.

I still have to go through the title of the chart and the trends.

Names were updated and trends added to the loop. This should be updated in the next data retrieval.

Dicortazar closed this task as Resolved.Jun 25 2015, 8:27 AM

Names were updated and trends added to the loop. This should be updated in the next data retrieval.

Now scr_patchset_submitters-scr_reviewers-scr-metrics-evol- and scr_voted_patchsets-scr_sent_patchsets-scr-metrics-evol- are on the page but empty (not populated yet).